# std::pmr::memory_resource

From cppreference.com
< cpp‎ | memory

Defined in header `<memory_resource>` |  |
class memory_resource; |  | (since C++17)

The class `std::pmr::memory_resource` is an abstract interface to an unbounded set of classes encapsulating memory resources.

### Member functions

(constructor) (implicitly declared) | constructs a new `memory_resource` (public member function)
(destructor) [virtual] | destructs an `memory_resource` (virtual public member function)
operator= (implicitly declared) | Implicitly declared copy assignment operator (public member function)

##### Public member functions

allocate | allocates memory (public member function)
deallocate | deallocates memory (public member function)
is_equal | compare for equality with another `memory_resource` (public member function)

##### Private member functions

do_allocate [virtual] | allocates memory (virtual private member function)
do_deallocate [virtual] | deallocates memory (virtual private member function)
do_is_equal [virtual] | compare for equality with another `memory_resource` (virtual private member function)

### Non-member-functions

operator==operator!= | compare two `memory_resource`s (function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/memory_resource&oldid=87976"